TTF_FontHasGlyph(3)

NAME
TTF_FontHasGlyph - Check whether a glyph is provided by the font for a UNICODE codepoint.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_FontHasGlyph(TTF_Font *font, Uint32 ch);

FUNCTION PARAMETERS

font
    the font to query.

ch  the codepoint to check.

RETURN VALUE
Returns true if font provides a glyph for this character, false if not.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.